Debian versi stable (sekarang lenny) memang terkenal akan versi aplikasi yang sudah tertinggal dari yang terbaru. Salah satu contohnya adalah pidgin. Beberapa bulan yang lalu Yahoo mulai menghapus support untuk yahoo messenger versi lama sehingga menyebabkan sulitnya pidgin untuk login ke jaringan yahoo. Loh pengaruhnya apa ?? ini karena pidgin memperkenalkan diri di jaringan Yahoo sebagai yahoo messenger versi lama. Cerita lengkapnya bisa ditengok disini. Memang tidak semua server Yahoo di-upgrade, tetap ada beberapa server yang masih bisa untuk login ke jaringan Yahoo. Dan saya memutuskan untuk tetap bertahan di pidgin 2.4.x yang harus menggunakan server Yahoo lain yang belum di upgrade. Sebetulnya sih karena malas upgrade aja :D

Beberapa hari yang lalu kejadian yang sama terulang lagi. Sebabnya kurang lebih sama. Ya sudah sekalian upgrade aja deh daripada nanti-nanti repot lagi. Eh, bukannya upgrade pidgin dari 2.4.x ke 2.6.x di lenny sama aja dengan upgrade semua sistem ?? soalnya kan pidgin 2.6.x ada di sistem testing. Betul itu, tapi untungnya ada yang berbaik hati mau menyiapkan pidgin 2.6.x untuk sistem lenny dan sudah disediakan di backports.org (atau saya lebih suka menyebut debian-backports). Terus gimana caranya ??

Pertama, tambah dulu repo backports.org, cukup dengan menambahkan baris ini di /etc/apt/sources.list anda :
deb ftp://repo.ugm.ac.id/debian-backports/ lenny-backports main contrib non-free
atau repo lain yang anda suka (seperti kambing misalnya)

Jika langsung dilakukan upgrade, maka kemungkinan tidak akan berhasil. Langkah yang saya coba adalah hapus terlebih dahulu pidgin 2.4.x (paket pidgin) kemudian install pidgin-data untuk versi 2.6.x. Baru install kembali pidgin untuk versi 2.6.x

Bagaimana cara memilih pidgin untuk versi 2.6.x karena saya cuma melihat versi 2.4.x di synaptic saya. Caranya adalah pilih paketnya (jangan di mark dulu), kemudian pilih Preferences > Force Version. Setelah itu akan ada pilihan versi mana yang akan anda install. 2.4.x atau 2.6.x (backports).

Sekarang pidgin saya sudah versi 2.6.2 di debian lenny, dan sudah bisa menyelesaikan masalah login ke jaringan Yahoo Messenger. Bagaimana dengan anda ??

& Komentar

  • At 2009.10.14 16:22, Astonix said:

    Weww, knapa harus repot2 upgade bro… kan bisa di hack :) .

    • At 2009.10.14 17:17, Yuda said:

      di hack begimana ?? ujungnya kan semua server yahoo upgrade protokol, ya mending upgrade sekalian pidginnya

    • At 2010.02.16 07:10, fajar said:

      bro bgtu aq upgrade pidgin datanya bisa tp koq untuk paket pidgin gbs bro.. ada trik yg lainnya???

      • At 2010.02.25 10:37, Yuda said:

        sudah coba force version ke 2.6.x

      (Required)
      (Required, will not be published)